AOZ Studio Beta - Bug #742

Blank screen when using samples
04/26/2021 07:25 PM - Paul Kitching

Status: Resolved Start date: 04/26/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: Beta 7

Description

| an getting lots of problems with Beta 7. | tracked it down to having samples in the 5.samples directory. When | removed them it
worked again, though | could also get the program to run bu adding a shoot command in a particular place.
| created a new application as an AOZ one, then made this:

#manifest:"amiga"

#splashScreen:false

//shoot // disable this line to break the whole thing, unless you have no samples.
print "End"

wait key

I have a wav file in 5.samples.

If | enable the shoot command it runs and prints End. If | comment the line | just get a blank screen (AOZ player or browser). If |
delete the sample it runs.

I've attached the HTML of the broken program.

| was told that the transpiler didn't include the audio scripts and that's why it failed.

I'm having similar random problems in another Amiga program. Various things are mis-behaving (blanks screen, screens not
showing things | print, audio giving bank errors, etc), which might all be because of this problem.

History

#1 - 04/26/2021 08:04 PM - Paul Kitching

| don't know if it matters, but | created a new application as an AOZ one, then used the Amiga tag in the program. | deleted the manifest so it would
be an Amiga program. Maybe that combination causes it.

#2 - 04/26/2021 08:43 PM - Paul Kitching

| just made a new Amiga application, copied my Amiga program in, took out the #manifest command and left the manifest in the directory that |
assume is an Amiga on.

Ran the program and samples wouldn't play, and some screens weren't showing, but it did run.

| copied a new image in and ran it again and | get the blank screen again. At this point | can't really use AOZ, at least with any Amiga programs.

#3 - 07/15/2021 05:16 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
